Replace "connected" by "connected for XX minutes"

RESOLVED FIXED in 0.2b1

Status

--
enhancement
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: romain, Assigned: romain)

Tracking

trunk
0.2b1
Dependency tree / graph

Details

Attachments

(1 attachment, 2 obsolete attachments)

(Assignee)

Description

5 years ago
*** Original post on bio 231 at 2009-08-30 19:35:00 UTC ***

When an account is connected, it would be interesting to know for how long.
flo and I suggest that we replace the "Connected" Label in the account manager by "Connected for (a few seconds|XX Minutes|XX Hours|XX Days)."

This bug depends on bug 953675 (bio 229) (for the last last connected timestamp exposure).
(Assignee)

Updated

5 years ago
Blocks: 953623
Depends on: 953675
(Assignee)

Comment 1

5 years ago
Created attachment 8351976 [details] [diff] [review]
Patch V1

*** Original post on bio 231 as attmnt 232 at 2009-09-01 20:35:00 UTC ***

Also fixed a few missing semicolons.
[0; 29] => Connected for a few seconds.
[30; 89] => Connected for about 1 minute.

others:
- Connected for about 1 day.
- Connected for about 42 days and 4 hours.

The value is refreshed at most every 60 seconds (can be refreshed if a "connected" notification appears).
Attachment #8351976 - Flags: review?(florian)
(Assignee)

Updated

5 years ago
Assignee: nobody → romain
Status: NEW → ASSIGNED
*** Original post on bio 231 at 2009-09-02 15:38:08 UTC ***

Comment on attachment 8351976 [details] [diff] [review] (bio-attmnt 232)
Patch V1

>diff --git a/instantbird/base/content/instantbird/account.xml b/instantbird/base/content/instantbird/account.xml

>+     <method name="refreshConnectedLabel">
>+       <body>
>+       <![CDATA[
>+         var bundle = document.getElementById("accountsBundle");
>+         var date =
>+           60 * Math.round((Date.now() - this._account.timeOfLastConnect) / 60000);
>+         let value;
>+         if (date > 0) {
I think I'd keep "A few seconds" until we reach one minute, rather than rounding. "1 minute" for 30 seconds seems more false than "a few seconds" for 59 seconds.

>+             value = bundle.getFormattedString("account.connectedInSingle",

>+             value = bundle.getFormattedString("account.connectedInDouble",

>+           value = bundle.getString("account.connectedForSeconds");
connectedIn or connectedFor?

Looks good otherwise.
(Assignee)

Comment 3

5 years ago
Created attachment 8351977 [details] [diff] [review]
Patch V2

*** Original post on bio 231 as attmnt 233 at 2009-09-02 16:12:00 UTC ***

- Using Math.floor() instead of Math.round().
- changing "ConnectedForSeconds" to "ConnectedInSeconds"
Attachment #8351977 - Flags: review?(florian)
(Assignee)

Comment 4

5 years ago
Comment on attachment 8351976 [details] [diff] [review]
Patch V1

*** Original change on bio 231 attmnt 232 at 2009-09-02 16:12:19 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351976 - Attachment is obsolete: true
Attachment #8351976 - Flags: review?(florian)
(Assignee)

Comment 5

5 years ago
Created attachment 8351978 [details] [diff] [review]
Patch V3

*** Original post on bio 231 as attmnt 234 at 2009-09-02 17:34:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351978 - Flags: review?(florian)
(Assignee)

Comment 6

5 years ago
Comment on attachment 8351977 [details] [diff] [review]
Patch V2

*** Original change on bio 231 attmnt 233 at 2009-09-02 17:34:02 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351977 - Attachment is obsolete: true
Attachment #8351977 - Flags: review?(florian)
(Assignee)

Comment 7

5 years ago
*** Original post on bio 231 at 2009-09-02 21:29:48 UTC ***

http://hg.instantbird.org/instantbird/rev/13dcfc8be03e
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Depends on: 953708
(Assignee)

Comment 8

5 years ago
Comment on attachment 8351978 [details] [diff] [review]
Patch V3

*** Original change on bio 231 attmnt 234 at 2009-11-17 20:33:21 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351978 - Flags: review?(florian) → review+
You need to log in before you can comment on or make changes to this bug.